Get the user settings of a Deployment resource

GET /deployments/{deployment_id}/{resource_kind}/{ref_id}/user_settings

Retrieves the current user-defined settings for a resource belonging to a given Deployment.

Path parameters

  • deployment_id string Required

    Identifier for the Deployment

  • resource_kind string Required

    The kind of resource

    Values are elasticsearch, kibana, apm, appsearch, enterprise_search, or integrations_server.

  • ref_id string Required

    User-specified RefId for the Resource (or '_main' if there is only one)

Responses

  • 200 application/json

    The current user-defined settings for the resource

    Hide response attribute Show response attribute object
    • user_settings object

      The user-defined settings for the resource

  • 404 application/json
    • The Deployment specified by {deployment_id} cannot be found. (code: deployments.deployment_not_found)
    • The Resource specified by {ref_id} cannot be found. (code: deployments.deployment_resource_not_found)
    Hide headers attribute Show headers attribute
    • x-cloud-error-codes string

      The error codes associated with the response

      Values are deployments.deployment_not_found or deployments.deployment_resource_not_found.

    Hide response attribute Show response attribute object
    • errors array[object] Required

      A list of errors that occurred in the failing request

      Hide errors attributes Show errors attributes object
      • code string Required

        A structured code representing the error type that occurred

      • message string Required

        A human readable message describing the error that occurred

      • fields array[string]

        If the error can be tied to a specific field or fields in the user request, this lists those fields

  • 500 application/json

    We have failed you. (code: deployments.metadata_internal_error)

    Hide headers attribute Show headers attribute
    • x-cloud-error-codes string

      The error codes associated with the response

      Value is deployments.metadata_internal_error.

    Hide response attribute Show response attribute object
    • errors array[object] Required

      A list of errors that occurred in the failing request

      Hide errors attributes Show errors attributes object
      • code string Required

        A structured code representing the error type that occurred

      • message string Required

        A human readable message describing the error that occurred

      • fields array[string]

        If the error can be tied to a specific field or fields in the user request, this lists those fields

GET /deployments/{deployment_id}/{resource_kind}/{ref_id}/user_settings
curl \
 --request GET 'https://api.elastic-cloud.com/api/v1/deployments/{deployment_id}/{resource_kind}/{ref_id}/user_settings'